{% extends "layouts/base.html" %}

{% block title %} Market Sentiment {% endblock %}

<!-- Specific CSS goes HERE -->
{% block stylesheets %}
<style>
.cardcs{
    border-radius: 20px !important;
    box-shadow: 0 0 15px !important;
}

.alink:link {
  text-decoration: none;
  color: #3f4d67;
  font-size: 12px;
}

.alink:visited {
  text-decoration: none;
  background-color: cyan;
}

.alink:hover {
  text-decoration: underline;
}

.alink:active {
  text-decoration: underline;
}

.sourcelink:link {
  text-decoration: none;
  color: #3f4d67;
}

.sourcelink:visited {
  text-decoration: none;
  background-color: cyan;
}

.sourcelink:hover {
  text-decoration: underline;
}

.sourcelink:active {
  text-decoration: underline;
}

.titles{
    color: black;
}

.update{
    color: #333333;
}

.dot {
  height: 25px;
  width: 25px;
  background-color: #bbb;
  border-radius: 50px;
  display: table;
  position: absolute;
  box-shadow: 0 0 5px;

}
.rezul{
    background-color: #0ebed9;
    padding: 10px 0;
    border-radius: 20px;
    box-shadow: 0 0 15px #0ebed9;
    margin-bottom: 20px;
}

.rezults-graph-table{
    display: flex;
    width: 100%;
}

.analytic{
    color: white;
    font-size: 18px;
    text-align: center;
    height: 120px;
    line-height: 120px;
}
.result-text{
    color: white;

}

.result_number{
    font-weight: bold;
    font-size: 18px !important;
}


</style>

{% endblock stylesheets %}
{% block extraheader %}
<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
<link rel="stylesheet" href="/resources/demos/style.css">

{% endblock extraheader %}
{% block content %}
{% if 'industry' in segment %}

<div class="pcoded-content">
    <div class="rezul">
        <div class="container">
            <div class="rezults-graph-table">
                <div class="col-xl-2 analytic">THỐNG KÊ:</div>
                <div class="col-xl-3 result-text">
                    <p>Tổng số kết quả: <span class="result_number">{{industry_count_results}}</span> bài
                    </p>
                    <p>Số nguồn báo: <span class="result_number">4</span> trang</p>
                    <p>Tâm lý thị trường: <span class="result_number">{{pos}}:{{neg}}</span>
                        (Positive/Negative)</p>
                </div>
            </div>
        </div>
    </div>
    <div class="pcoded-inner-content">
        <!-- [ breadcrumb ] start -->
        <div class="page-header">
            <div class="page-block">
                <div class="row align-items-center">
                    <div class="col-md-12">
                        <div class="page-header-title">
                            <h5 class="m-b-10 text-uppercase">TỔNG HỢP TIN TỨC TÀI CHÍNH CỦA NGÀNH - {{industry_name}}</h5>
                            <br>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- [ breadcrumb ] end -->
        <div class="main-body">
            <div class="page-wrapper">
                <div class="row">
                    {% for x in results %}
                    <div class="col-xl-3">
                        <div class="card cardcs" id="border{{x.sentiment_tag}}">
                            <div class="card-header">
                                <div style="float: right !important; margin: 0 20px 0 0"><span
                                        class="dot" id="{{x.sentiment_tag}}"></span></div>
                                <h5>{{x.stock}} </h5>
                                <h6 class="sourcelink">Nguồn: {{x.website_name}}</h6>
                            </div>

                            <div class="card-block">
                                <div style="height: 100%; width: 100%; position: relative; -webkit-tap-highlight-color: rgba(0, 0, 0, 0);">
                                    <img style="height: 100%; width: 100%;" src="{{x.original_images}}">
                                </div>
                                <div class="update">{{x.publishdate_at}}</div>
                                <br>
                                <div class="titles">{{x.titles}}</div>
                                <br>
                                <div><a class="alink"
                                        href="{{x.original_links}}">{{x.original_links}}</a></div>
                            </div>
                        </div>
                    </div>
                    {% endfor %}
                </div>
            </div>
        </div>
    </div>
</div>
{% else %}
{% if 'stock' in segment %}

<div class="pcoded-content">
    <div class="rezul">
        <div class="container">
            <div class="rezults-graph-table">
                <div class="col-xl-2 analytic">THỐNG KÊ:</div>
                <div class="col-xl-3 result-text">
                    <p>Tổng số kết quả: <span class="result_number">{{stock_count_results}}</span> bài
                    </p>
                    <p>Số nguồn báo: <span class="result_number">4</span> trang</p>
                    <p>Tâm lý thị trường: <span class="result_number">{{pos}}:{{neg}}</span>
                        (Positive/Negative)</p>
                </div>
            </div>
        </div>
    </div>
    <div class="pcoded-inner-content">
        <!-- [ breadcrumb ] start -->
        <div class="page-header">
            <div class="page-block">
                <div class="row align-items-center">
                    <div class="col-md-12">
                        <div class="page-header-title">
                            <h5 class="m-b-10 text-uppercase">TỔNG HỢP TIN TỨC TÀI CHÍNH CỦA MÃ CỔ PHIẾU
                                - {{stock_name}}</h5>
                            <br>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- [ breadcrumb ] end -->
        <div class="main-body">
            <div class="page-wrapper">
                <div class="row">
                    {% for y in stock_results %}
                    <div class="col-xl-3">
                        <div class="card cardcs" id="border{{y.sentiment_tag}}">
                            <div class="card-header">
                                <div style="float: right !important; margin: 0 20px 0 0"><span
                                        class="dot" id="{{y.sentiment_tag}}"></span></div>
                                <h5>{{stock_name}} </h5>
                                <h6 class="sourcelink">Nguồn: {{y.website_name}}</h6>
                            </div>

                            <div class="card-block">
                                <div style="height: 100%; width: 100%; position: relative; -webkit-tap-highlight-color: rgba(0, 0, 0, 0);">
                                    <img style="height: 100%; width: 100%;" src="{{y.original_images}}">
                                </div>
                                <div class="update">{{y.publishdate_at}}</div>
                                <br>
                                <div class="titles">{{y.titles}}</div>
                                <br>
                                <div><a class="alink"
                                        href="{{y.original_links}}">{{y.original_links}}</a></div>
                            </div>
                        </div>
                    </div>
                    {% endfor %}
                    {% endif %}
                    {% endif %}
                    <!-- [ Morris Chart ] end -->
                </div>
                <!-- [ Main Content ] end -->
            </div>
        </div>
    </div>
</div>


{% endblock content %}

<!-- Specific Page JS goes HERE  -->
{% block javascripts %}

<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

<script>
$( function() {
    var availableTags = {{stockname|safe}};
    $( "#symbol-search" ).autocomplete
    ({
        source: availableTags
    });
 });

</script>

<script>
$( function() {
    var availableTags = ;
    $( "#industry-search" ).autocomplete
    ({
        source: availableTags
    });
 });

</script>

<script>
function color(id){
    var items = document.getElementsByClassName(id)
    for (i = 0; i < items.length; i++){
        console.log(items[i].innerHTML)
        if (items[i].id == "NEG"){
            items[i].style.background="#DC143C";
        }
        else if (items[i].id == "POS") {
            items[i].style.background="#7FFF00";
        }
        else if (items[i].id == "None") {
            items[i].style.background="#808080";
        }
        else if (items[i].id == "NEU") {
            items[i].style.background="#ffc100";
        }
    }
}
color('dot')

function border(id){
    var items = document.getElementsByClassName(id)
    for (i = 0; i < items.length; i++){
        console.log(items[i].innerHTML)
        if (items[i].id == "borderNEG"){
            items[i].style.color="#DC143C";
        }
        else if (items[i].id == "borderPOS") {
            items[i].style.color="#008000";
        }
        else if (items[i].id == "borderNone") {
            items[i].style.color="#808080";
        }
        else if (items[i].id == "borderNEU") {
            items[i].style.color="#ffc100";
        }
    }
}
<!--    border('card cardcs')-->

</script>

{% endblock javascripts %}